/**
 * 
 */
package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.IPlaceholderFolderLayout;
import org.eclipse.ui.progress.IProgressConstants;

import eu.etaxonomy.taxeditor.view.datasource.CdmDataSourceViewPart;

/**
 * @author n.hoffmann
 *
 */
public abstract class Default implements IPerspectiveFactory {

	protected IPlaceholderFolderLayout folderAdditional;
	
	public static final String ADDITIONAL = "additional";
	
	/**
	 * 
	 * @param layout
	 * @param refId
	 */
	public void createAdditionalFolder(IPageLayout layout, String refId) {
		folderAdditional = layout.createPlaceholderFolder(ADDITIONAL, IPageLayout.BOTTOM, 0.25f, refId);
		
		folderAdditional.addPlaceholder(CdmDataSourceViewPart.ID);
		folderAdditional.addPlaceholder(IProgressConstants.PROGRESS_VIEW_ID);
	}

}
